#pragma once
#include "Entity.h"
#define CS_PUPPYSITTING_CREATENAME L"CS_puppy_sitting"
class CS_PuppySitting :
    public Entity
{
public:
    CS_PuppySitting();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int ani_wait = 0;
    int act_wait = 0;
};

std::shared_ptr<Entity> CreateCS_PuppySitting();